mfsmaster(8)

NAME
mfsmaster - start, restart or stop MooseFS master process

SYNOPSIS
mfsmaster [-c CFGFILE] [-f] [-d] [-u] [-n] [-i] [-a] [-e] [-x[x]] [-t LOCKTIMEOUT] [ACTION]

mfsmaster -v

mfsmaster -h

DESCRIPTION

mfsmaster is the master program of MooseFS.

OPTIONS

-v  print version information and exit

-h  print usage information and exit

-c CFGFILE
    specify alternative path of configuration file (default is mfsmaster.cfg in system configuration directory)

-f  run in foreground, don't daemonize

-d  run with dangerous options (names: DANGEROUS_*)

-u  log undefined configuration values (when default is assumed)

-n  do not attempt to increase limit of core dump size

-i  ignore some metadata structure errors

-a  automatically restore metadata from change logs

-e  (pro only) start without metadata (used to start additional masters)

-x  produce more verbose output

-xx even more verbose output

-t LOCKTIMEOUT
    how long to wait for lockfile (in seconds; default is 1800 seconds)

ACTION
    tells master to perform one of the following actions:

    start
        Start master process if the process is not already running, otherwise display error message.

    stop
        Stop master process if the process is running, otherwise display error message.

    restart
        (default action) If the master process is running, restart it, if it's not running, start it.

    reload
        Send a signal to master process to reload config files.

    info
        Send a singal to master process to dump debug information file in working directory.

    test
        Displays "mfsmaster pid: PID" if the master is running (and return 0) or "mfsmaster is not running" otherwise (and return 1).

    kill
        Send termination signal to master process.

    restore
        Restore current metadata file using backup metadata and changlog files (if possible, i.e. if correct files exist), write it to working directory and exit.

FILES

mfsmaster.cfg
    configuration file for MooseFS master process; refer to mfsmaster.cfg(5) manual for details

mfsexports.cfg
    MooseFS access control file; refer to mfsexports.cfg(5) manual for details

mfstopology.cfg
    Network topology definitions; refer to mfstopology.cfg(5) manual for details

.mfsmaster.lock
    lock file of running MooseFS master process (created in data directory)

metadata.mfs, metadata.mfs.back
    MooseFS filesystem metadata image (created in data directory)

changelog.*.mfs
    MooseFS filesystem metadata change logs (created in data directory; merged into metadata.mfs once per hour)

data.stats
    MooseFS master charts state (created in data directory)

REPORTING BUGS
Report bugs to <bugs@moosefs.com>.

COPYRIGHT
Copyright (C) 2024 Jakub Kruszona-Zawadzki, Saglabs SA This file is part of MooseFS. MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only). MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with MooseFS; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA or visit http://www.gnu.org/licenses/gpl-2.0.html

SEE ALSO
mfschunkserver(8), mfsmount(8), mfsmaster.cfg(5), mfsexports.cfg(5), mfstopology.cfg(5)